/ Docs
APIPush registrations

Search Push Content

Read what the banners of pushed notifications may show, with a content key. A wrong key, or a registration that is unknown, disabled or has no key, is a 404. Otherwise each requested notification is either in ``items`` or left out.

POST
/v1/public/push-registrations/content/search

Authorization

BearerAuth
AuthorizationBearer <token>

Botyard API key — see /docs/authentication.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

What a notification service extension asks for (no session required).

Response Body

application/json

curl -X POST "https://example.com/v1/public/push-registrations/content/search" \  -H "Content-Type: application/json" \  -d '{    "registration_id": "string",    "content_key": "stringstringstri",    "notification_ids": [      "string"    ]  }'
{
  "items": [
    {
      "notification_id": "string",
      "org_id": "string",
      "conversation_id": "string",
      "sender": {
        "bot_slug": "string",
        "display_name": "string",
        "avatar_digest": "string"
      },
      "preview": {
        "title": "string",
        "body": "string"
      }
    }
  ],
  "avatars": [
    {
      "digest": "string",
      "png_base64": "string"
    }
  ]
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "error_code": "string",
  "errors": [
    {
      "pointer": "string",
      "detail": "string",
      "type": "string"
    }
  ],
  "trace_id": "string"
}